package org.jeecg.modules.userCode.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 10693
 * @title: RechargeInfoLogReq
 * @projectName chemu
 * @description: TODO
 * @date 2021/9/2217:17
 * @Version V1.0
 */
@Data
public class RechargeInfoLogReq {


    /**结束时间*/
    @ApiModelProperty(value = "开始时间",required = false)
    private String startTime;
    /**结束时间*/
    @ApiModelProperty(value = "结束时间",required = false)
    private String endTime;
    /**页数*/
    @ApiModelProperty(value = "页数",required = false)
    private Integer pageNo;
    /**多少数据*/
    @ApiModelProperty(value = "多少数据",required = false)
    private Integer pageSize;

    public Integer getPageNo(){
        if(this.pageNo == null){
            this.pageNo = 1;
        }
        return this.pageNo;
    }

    public Integer getPageSize(){
        if(this.pageSize == null){
            this.pageSize = 10;
        }
        return this.pageSize;
    }

}
